diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/include/s_conf.h ircd-hybrid-6.0/include/s_conf.h
--- ircd-hybrid-6.0.orig/include/s_conf.h	Fri May 25 19:54:53 2001
+++ ircd-hybrid-6.0/include/s_conf.h	Fri May 25 19:54:24 2001
@@ -398,6 +398,7 @@
                                      int);
 extern struct ConfItem* find_conf_by_name(const char* name, int status);
 extern struct ConfItem* find_conf_by_host(const char* host, int status);
+extern struct ConfItem* find_conf_by_abbrevname(const char* name, int status);
 extern struct ConfItem* find_kill (struct Client *);
 extern int conf_connect_allowed(struct in_addr addr);
 extern char *oper_flags_as_string(int);
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_connect.c ircd-hybrid-6.0/src/m_connect.c
--- ircd-hybrid-6.0.orig/src/m_connect.c	Tue Nov 21 06:49:29 2000
+++ ircd-hybrid-6.0/src/m_connect.c	Fri May 25 19:54:24 2001
@@ -153,7 +153,7 @@
   /*
    * try to find the name, then host, if both fail notify ops and bail
    */
-  if (!(aconf = find_conf_by_name(parv[1], CONF_CONNECT_SERVER))) {
+  if (!(aconf = find_conf_by_abbrevname(parv[1], CONF_CONNECT_SERVER))) {
     if (!(aconf = find_conf_by_host(parv[1], CONF_CONNECT_SERVER))) {
       sendto_one(sptr,
                  "NOTICE %s :Connect: Host %s not listed in ircd.conf",
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/s_conf.c ircd-hybrid-6.0/src/s_conf.c
--- ircd-hybrid-6.0.orig/src/s_conf.c	Fri May 25 19:54:53 2001
+++ ircd-hybrid-6.0/src/s_conf.c	Fri May 25 19:54:24 2001
@@ -3860,3 +3860,22 @@
   *end = '\0';
   return(field);
 }
+
+/*
+ * find_conf_by_name - return a conf item that vaguely matches name and type
+ */
+struct ConfItem* find_conf_by_abbrevname(const char* name, int status)
+{
+  struct ConfItem* conf;
+  assert(0 != name);
+ 
+  for (conf = ConfigItemList; conf; conf = conf->next)
+    {
+      if (conf->status == status && conf->name &&
+          (match(name, conf->name) || 
+           !strncmp (name, conf->name, strlen(name))))
+        return conf;
+    }
+  return NULL;
+}
+
